/*
 * ResourceBundleUtils.java
 *
 * Created on September 18, 2007, 11:01 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package utils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.ResourceBundle;

/**
 *
 * @author Vu Thi Thu Huong
 */
public class ResourceBundleUtils {

    public static final String SPLIT_CHARACTER = ";";
    private static volatile ResourceBundle rb = null;

    /**
     * Creates a new instance of ResourceBundleUtils
     */
    public ResourceBundleUtils() {
    }

    public static String getApplicationResource(String key) {
        if (rb != null) {
            return rb.getString(key);
        }
        rb = ResourceBundle.getBundle("ApplicationResource");
        return rb.getString(key);
    }
}
